%define name    emelfm2
%define version 0.4
%define release %mkrel 1

Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   GTK+ 2 file manager with two-panel format
Group:     File tools
License:   GPLv3+ and LGPLv3+
URL:       http://emelfm2.net
Source:    http://emelfm2.net/rel/%{name}-%{version}.tar.gz
Patch0:    emelfm2_change_config.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	gtk+2-devel
BuildRequires:	desktop-file-utils
Obsoletes:	%{name}-i18n

%description
emelFM2 is a file manager with the efficient two-panel format,
featuring:
  o Simple interface
  o Bookmarks and history lists 
  o Flexible filetyping scheme
  o Multiple actions selectable for each filetype 
  o Filename, size, and date Filters
  o Built-in command line
  o Configurable keyboard bindings
  o Configurable toolbars
  o Runtime loadable plugins

It is the GTK+ 2 port of emelFM. 

Note: EmelFM2 and EmelFM are parallel installable

%package   i18n
Summary:   Translation files for emelFM2
Group:     File tools
Requires:  %{name} = %{version}

%description i18n
This package contains a translation files which may be installed
to allow emelFM2 to use non-english names in its user-interface

%prep
%setup -q
%patch0 -p0

%build

%make OPTIMIZE="${RPM_OPT_FLAGS}" \
    CFLAGS="${RPM_OPT_FLAGS}" \
    USE_INOTIFY=1 \
    USE_LATEST=1 \
    PREFIX="%{_prefix}" 

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=%{buildroot}%{_prefix}
make install_i18n PREFIX=%{buildroot}%{_prefix}

#mkdir -p %{buildroot}%{_bindir}
#install -m 755 %{name} %{buildroot}%{_bindir}

# remove unnecessary
rm -rf %{buildroot}/%{_docdir}/*

# icons
install -m 644 -D icons/emelfm2_48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m 644 -D icons/emelfm2_32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 644 -D icons/emelfm2_24.png %{buildroot}%{_iconsdir}/hicolor/24x24/apps/%{name}.png

# menu
perl -pi -e 's,Icon=emelfm2/emelfm2_48.png,Icon=%{name},g' %{buildroot}%{_datadir}/applications/*
desktop-file-install --vendor="" \
  --add-category="System" \
  --add-category="Utility" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%post
%{update_menus}
%{update_icon_cache hicolor}

%postun
%{clean_menus}
%{clean_icon_cache hicolor}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc docs/ACTIONS docs/CONFIGURATION docs/CREDITS
%doc docs/HACKING docs/README docs/TODO docs/USAGE
%doc docs/WARNING
%defattr (-,root,root)
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_prefix}/lib/%{name}
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/24x24/apps/%{name}.png
%{_mandir}/man1/* 


%changelog
* Wed Apr 23 2008 Funda Wang <fundawang@mandriva.org> 0.4-1mdv2008.1
+ Revision: 196769
- New version 0.4
- obsoletes emelfm2-i18n

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 03 2007 Adam Williamson <awilliamson@mandriva.com> 0.3.5-1mdv2008.0
+ Revision: 58703
- streamline files list
- no need to package the license
- correct icon location and add categories to XDG menu
- drop old menu file and X-Mandriva category
- fd.o icons
- enable USE_LATEST (adds some features available only from GTK+ 2.6 onwards)
- use inotify directly, not famin
- use standard optimizations in build
- dump a bunch of unneeded requires and buildrequires (either no longer valid or part of basesystem)
- correct source location
- use Fedora license policy, specify GPLv3+ and LGPLv3+ (headers state v3 or later, one file is specifically under LGPL not GPL)
- we have standard macros for prefix, libdir and bindir, no need to make them up
- spec clean
- rebuild to fix #32266
- new release 0.3.5


* Fri Jan 19 2007 Lenny Cartier <lenny@mandriva.com> 0.3.2-1mdv2007.0
+ Revision: 110577
- Update to 0.3.2

* Sat Dec 09 2006 Emmanuel Andry <eandry@mandriva.org> 0.3.1-1mdv2007.1
+ Revision: 93914
- New version 0.3.1
- Import emelfm2

* Tue Sep 26 2006 Charles A Edwards <eslrahc@mandriva.org> 0.2-1mdv2007.0
- 0.2 .... suggested by Tom <tpgww@onepost.net>
- xdg
- update file list

* Fri Apr 28 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.7-1mdk
- new release
- remove SOURCE1 (ja.po)
- (merged upstream)

* Tue Apr 25 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.6-1mdk
- new release
- update ja.po (SOURCE1)
- (old ja.po causes segfault)
- (it will be merged soon. remove it in emelfm2-0.1.7)

* Fri Apr 14 2006 Lenny Cartier <lenny@mandriva.com> 0.1.5-2mdk
- x86_64 choice

* Thu Feb 02 2006 Lenny Cartier <lenny@mandriva.com> 0.1.5-1mdk
- 0.1.5

* Sat Jan 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.4-1mdk
- new release

* Fri Dec 23 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-3mdk
- split off the message catalogues (by author's request)
- modify URL
- apply patch0 (emelfm2-05-12-20.patch)
- update ja.po

* Tue Nov 29 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-2mdk
- new release
- patch 0: upgrade config (from Tom [the author of emelfm2])

* Wed Nov 23 2005 Lenny Cartier <lenny@mandriva.com> 0.1.3-1mdk
- 0.1.3

* Fri Nov 04 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-3.20051028.2mdk
- add docs/ACTIONS by author's request

* Wed Nov 02 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.1.2-3.20051028.1mdk
- new release from UTUMI Hirosi

* Sat Aug 13 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-1mdk
- new release

* Wed Jul 20 2005 Lenny Cartier <lenny@mandriva.com> 0.1.0-1mdk
- from <tpgww@onepost.net> : 
    - 0.1
    - locale files installed
    - added and removed some docs
    - extra requires
    - requires gtk 2.4 or better
    - url

* Tue Aug 24 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.8-2mdk
- rebuild for new menu

* Sun May 02 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.8-1mdk
- 0.0.8
- drop patch
- new files
- spec fixes

* Fri Apr 02 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.7-1mdk
- 0.0.7

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.5-2mdk 
- Fix menu entry

* Sat Jan 24 2004 Charles A Edwards <eslrahc@mandrake.org> 0.0.5-1mdk
- 0.0.5

